# VirtualHere-Client-Deamon-Helper

A simple helper to run a VirtualHere Client as a daemon and still be able to connect to a free server.

By default, the VirtualHere client, when running as a daemon, cannot connect to a free VirtualHere server (see [here](https://www.virtualhere.com/linux_console) : *when running the client as a daemon (step 1) the VirtualHere Server it connects to must be purchased*).

This helper is a workaround that creates a systemd service without using the daemon.  I created this to use the free version of the VirtualHere client on the Steam Link using [that tool](https://github.com/milaq/steamlink_VirtualHereFreeInstaller), and connect it to a client installed on [ChimeraOS](https://chimeraos.org/).  It allows me to use a steering wheel, with force feedback, on the Steam Link.

## How to install?

* Download the Linux Console Client [here](https://www.virtualhere.com/usb_client_software)
* Put the client in a folder alongside the other files in this repository
* Adapt `virtualhereclient.service` so that it points to the right folder and binary
* Start `install.sh`

## How to use?
The first time you stream a device from your server, you will probably have to [run a few commands](https://www.virtualhere.com/client_api) to make you client connect to it.  After that, you can just forget about the client: it will autoconnect automatically.

For instance, I used the following two commands to list available devices on the server, and select the proper one (a Steering Wheel)
```
/home/gamer/virtualhere/vhclientx86_64 -t "LIST"
/home/gamer/virtualhere/vhclientx86_64 -t "AUTO USE DEVICE,steamlink-xxxx.xxx"
```

Note : with the free version of VirtualHere server, you are limited to streaming one device.